* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}
body {
background-color: #0a0a0a;
animation: fadeInAnimation ease 1s;
animation-iteration-count: 1;
animation-fill-mode: forwards;
}

.bg-noise {
position: absolute;
top: 0;
left: 0;
right: 0;
bottom: 0;
z-index: -1;
pointer-events: none;
overflow: hidden;
}

.bg-noise:before {
position: absolute;
content: '';
top: -10rem;
left: -10rem;
width: calc(100% + 20rem);
height: calc(100% + 20rem);
z-index: -1;
pointer-events: none;
background-image: url(https://kapcsolat.horvathkaroly.hu/css/bg-noise.png);
background-position: 50%;
animation: BgNoise 1s steps(2) infinite;
}

@keyframes BgNoise {
    0% {
        transform: translate3d(0,9rem,0)
    }

    10% {
        transform: translate3d(-1rem,-4rem,0)
    }

    20% {
        transform: translate3d(-8rem,2rem,0)
    }

    30% {
        transform: translate3d(9rem,-9rem,0)
    }

    40% {
        transform: translate3d(-2rem,7rem,0)
    }

    50% {
        transform: translate3d(-9rem,-4rem,0)
    }

    60% {
        transform: translate3d(2rem,6rem,0)
    }

    70% {
        transform: translate3d(7rem,-8rem,0)
    }

    80% {
        transform: translate3d(-9rem,1rem,0)
    }

    90% {
        transform: translate3d(6rem,-5rem,0)
    }

    to {
        transform: translate3d(-7rem,0,0)
    }
}


@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
     }
}

.video-background {
  position: fixed;
  right: 0; 
  bottom: 0;
  min-width: 100%; 
  min-height: 100%;
  width: auto; 
  height: auto; 
  z-index: -100;
  background-size: cover;
}

.video-background video {
  position: fixed;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  z-index: -100;
  -ms-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -webkit-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
}

div.avatar {
  padding-bottom: 15px!important;
}

.br-50p {
  border-radius: 50%;
}
.nav:hover {
  background: rgba(150, 150, 150, 1);
  transform: scale(1.05);
  transition: all 0.3s;
}
.nav:hover span {
  transition: all 0.3s;
  color: #fff !important;
}
.p7% {
  color: red;
}
.w-mx {
  width: 100%;
}
.link:hover {
  background-color: rgba(42, 42, 42, 0.5) !important;
  transform: scale(1.03);
  transition: all 0.3s;
}
.link:hover div.open {
  background-color: rgba(198, 198, 198, 0.555) !important;
  transition: all 0.3s;
}
.link:hover div.open span,
.link:hover div.open i {
  color: rgb(22, 22, 22) !important;
  transition: all 0.3s;
}
.nav-menu {
  transform: translateY(100%);
  transition: 0.5s;
  position: fixed;
  bottom: 0;
}
.nav-menu.active {
  display: flex !important;
  transform: translateY(0);
}
@media (min-width: 768px) {
  body {
    height: 100vh !important;
    justify-content: center;
  }
  main {
    margin: 0;
  }
  nav a {
    font-size: 1.5rem !important;
  }
  nav div span {
    font-size: 2rem !important;
  }
}
